1. Durable Nonces
Vulcan Forge API
  • Introduction
  • Getting Started
  • Authentication & Authorization
  • Core Concepts
    • Terminology
    • Regulated Assets
    • Tenants
    • Mapping & Labelling
    • SVM Networks
    • Transaction Processing
    • Key Management
    • Read Layer
    • Webhooks
  • API Reference
    • Blockchain Accounts
      • Create Account
      • Fetch Account Details
      • Fetch Account Private Key
      • Fetch Account Balance
      • Fetch Accounts
      • Update Account
      • Inactivate Account
    • Financial Instruments
      • Create Financial Instrument
      • Fetch Financial Instrument Details
      • Fetch Financial Instrument Circulating Supply
      • Fetch Financial Instruments
      • Update Financial Instrument
      • Close Financial Instrument
      • Pause Financial Instrument
      • Unpause Financial Instrument
      • Token Extensions Calculator
    • Positions
      • State
        • Initialize Position
        • Update Position
        • Inactivate Position
        • Freeze Position
        • Unfreeze Position
      • Movements
        • Mint
        • Burn
        • Transfer Financial Instrument
        • Transfer Network Currency
      • Trades
        • Trade
      • History
        • Fetch Position Details
        • Fetch Position Balance
        • Fetch Positions
    • Loans
      • Create Loan
      • Fetch Loan Details
      • Fetch Loans
      • Swap Collateral
      • Repay Loan
      • Close Loan
      • Refinance Loan
    • Market Data
      • Onchain Data Sources
        • Create Onchain Data Source
        • Update Oracle Data Source Definition
        • Refresh Oracle Data Source
        • Fetch Onchain Data Source Details
        • Fetch Oracle Data Sources
    • Blockchain Transactions
      • Processing
        • Fetch Transaction Status
        • Sign Transaction
        • Submit Transaction
      • Durable Nonces
        • Create Durable Nonce Accounts
          POST
        • Fetch Durable Nonce Account Details
          POST
        • Fetch Durable Nonce Accounts
          POST
      • Address Lookup Tables
        • Create Address Lookup Table
        • Fetch Address Lookup Table Details
        • Fetch Address Lookup Tables
        • Extend Address Lookup Table
        • Update Address Lookup Table
      • History
        • Fetch Transaction Details
        • Fetch Transactions
  • Schemas
    • Accounts
      • DKG
        • DKG Key Setup
      • Max Allowed Debit Config
      • Webhook Config
      • Offchain References
      • Account Lookup
      • New Account
      • Tenancy Config
      • Offchain File
      • Network Currency Debit Limit Config
      • Token Debit Limit Config
      • Limit Duration
    • Market Data
      • Onchain Data Source Details
      • Switchboard Data Source Details
    • Webhook Payloads
      • Pre Transaction Submit Webhook
      • Post Transaction Submit Webhook
    • Transactions
      • Svm Value Input
      • Svm Transaction Config
      • Commitment Config
      • Transaction Lookup
    • Query
      • Query Components
        • Sort Model
        • Filter Model
        • Field Value Filter
      • Items Query
      • Bulk Query
    • Loans
      • Loan Duration
    • Reponses
      • Errors
        • Individual Error
        • Error Response
      • Accounts
        • Private Keys
          • Database Private Key Details
          • Private Key Details
          • Cloud Provider Resource Location
          • DKG Private Key Details
        • Account Response Detailed
        • Account Onchain Detailed
        • Account Offchain Detailed
        • Account Response Compact
        • Account Onchain Compact
        • Account Offchain Compact
        • Account Response Identifiers
      • Transactions
        • Svm Value Result
        • Transaction Response Detailed
        • Transaction Account Info
        • Value Balances
        • Transaction Instruction Response
        • Transaction Account Identifiers
        • Svm Transaction Result
        • Svm Entity Result
      • Financial Instruments
        • Financial Instrument Detailed
        • Financial Instrument Compact
        • Financial Instrument Identifiers
      • Loans
        • Loan Response
      • Positions
        • Position Offchain Result
        • Position Balance Response
        • Position Response Detailed
        • Position Response Compact
        • Position Response Identifiers
      • Market Data
        • Onchain Data Source Response
    • Positions
      • Position Lookup
      • Mint Definition
      • Burn Definition
      • Transfer Financial Instrument Definition
      • Transfer Network Currency Definition
  1. Durable Nonces

Create Durable Nonce Accounts

Developing
Development
https://vf-solana-api.dev.alphaledger.com
Development
https://vf-solana-api.dev.alphaledger.com
POST
/api/v1/durable-nonce-accounts
Creates one or moe durable nonce account to be added to the pool of durable nonce accounts that can be used for processing transactions with a messageLifetimeStrategy of DURABLE_NONCE. Go to Transaction Processing for additional details.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Body

🟠400
🟠401
🟠403
🟠409
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://vf-solana-api.dev.alphaledger.com/api/v1/durable-nonce-accounts?svmCluster=SOLANA_DEVNET' \
--header 'x-request-id: f9860f73-a466-41f2-a083-34eeb1cc3a3c' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "itemData": {
        "nonceAccount": {
            "managed": true,
            "alreadyOnchain": false,
            "onchainId": "5ppHUtrk8vZjRdhwsYXJEPKwEPjazsMDyfBvJbhjmyah",
            "offchainReferences": {
                "alId": "ALFNDPF000153778",
                "organizationExternalId": "ALT",
                "accountNumber": "ALT10000233",
                "code": "some-authority",
                "type": "WALLET",
                "name": "Additional info related to the offchain reference"
            },
            "privateKeyDetails": {
                "location": [
                    "DATABASE"
                ],
                "publickKey": "5ppHUtrk8vZjRdhwsYXJEPKwEPjazsMDyfBvJbhjmyah",
                "privateKey": "EB46eeJToBz34ifceU1sYXWeferhcvaS28RsmQe9khX2Sv87wEnGgYbYC6deyhYSFVusxFvjKud2VTu6p2aCG9A",
                "dkgKeys": [
                    {
                        "keyUsage": "INV_TRADING_FX",
                        "useBackendPlayersCodes": [
                            "alt",
                            "alt"
                        ],
                        "isDefault": false,
                        "session": {
                            "threshold": 2
                        }
                    }
                ]
            },
            "networkCurrencyDebitApiKeys": [
                "abcd"
            ],
            "tokenDebitApiKeys": [
                "string"
            ],
            "networkCurrencyDebitLimits": [
                {
                    "destination": "ANY",
                    "maxAllowedDebit": {
                        "limitType": "PER_TRANSACTION",
                        "limitAmount": 100,
                        "duration": {
                            "code": "DAYS",
                            "unit": 1
                        },
                        "approversForOverride": [
                            "string"
                        ],
                        "requiredApproversCount": 3
                    }
                }
            ],
            "tokenDebitLimits": [
                {
                    "operationType": "ANY",
                    "destination": "ANY",
                    "mintAuthority": "ANY",
                    "maxAllowedDebit": {
                        "limitType": "PER_TRANSACTION",
                        "limitAmount": 100,
                        "duration": {
                            "code": "DAYS",
                            "unit": 1
                        },
                        "approversForOverride": [
                            "string"
                        ],
                        "requiredApproversCount": 3
                    }
                }
            ],
            "dataLength": 0,
            "seed": {
                "amount": 3.8097,
                "lamports": 8733302
            },
            "subscribeToNetworkEvents": true,
            "canPayFees": false,
            "globalFeePayerForOrgs": [
                "ALT"
            ],
            "orgsAllowedToSignWithPrivateKey": [
                "ALT"
            ],
            "shareAcrossTenants": false,
            "tokenVersion": "SPL",
            "comments": "Additional information about this account",
            "isDerived": false,
            "isGenesis": false,
            "domain": "vulcan-forge.sol",
            "skipBlockchainExistenceVerification": false,
            "missingSignatureWebhooks": [
                {
                    "endpointUrl": "stringstri",
                    "name": "string",
                    "apiKeyAuthConfig": {
                        "httpHeaderName": "string",
                        "keyValue": "string"
                    },
                    "oauth2AuthConfig": {
                        "accessTokenUrl": "stringstri",
                        "audience": "string",
                        "flowType": "CLIENT_CREDENTIALS",
                        "clientId": "string",
                        "clientSecret": "string",
                        "userName": "string",
                        "password": "string"
                    },
                    "timeout": 1
                }
            ],
            "preTransactionSubmitWebhooks": [
                {
                    "endpointUrl": "stringstri",
                    "name": "string",
                    "apiKeyAuthConfig": {
                        "httpHeaderName": "string",
                        "keyValue": "string"
                    },
                    "oauth2AuthConfig": {
                        "accessTokenUrl": "stringstri",
                        "audience": "string",
                        "flowType": "CLIENT_CREDENTIALS",
                        "clientId": "string",
                        "clientSecret": "string",
                        "userName": "string",
                        "password": "string"
                    },
                    "timeout": 1,
                    "doNotSubmitTransactionOnFailure": false
                }
            ],
            "postTransactionSubmitWebhooks": [
                {
                    "endpointUrl": "stringstri",
                    "name": "string",
                    "apiKeyAuthConfig": {
                        "httpHeaderName": "string",
                        "keyValue": "string"
                    },
                    "oauth2AuthConfig": {
                        "accessTokenUrl": "stringstri",
                        "audience": "string",
                        "flowType": "CLIENT_CREDENTIALS",
                        "clientId": "string",
                        "clientSecret": "string",
                        "userName": "string",
                        "password": "string"
                    },
                    "timeout": 1
                }
            ]
        },
        "numberOfNonceAccounts": 1,
        "nonceAuthority": {
            "onchainId": "GPjDgRPhSuJSya5GbaCWkYCDqcyL6N3ZBge9XMJsDton",
            "offchainId": "1b03ae9a-348c-4c18-8727-20c7c4ae7a0a",
            "offchainReferences": {
                "alId": "ALFNDPF000153778",
                "organizationExternalId": "ALT",
                "accountNumber": "ALT10000233",
                "code": "some-authority",
                "type": "WALLET"
            },
            "autoSign": true,
            "otherTenantOrganizationExternalId": "ALIM",
            "offPlatform": false
        }
    },
    "svmTransactionConfig": {
        "feePayer": {
            "onchainId": "GPjDgRPhSuJSya5GbaCWkYCDqcyL6N3ZBge9XMJsDton",
            "offchainId": "1b03ae9a-348c-4c18-8727-20c7c4ae7a0a",
            "offchainReferences": {
                "alId": "ALFNDPF000153778",
                "organizationExternalId": "ALT",
                "accountNumber": "ALT10000233",
                "code": "some-authority",
                "type": "WALLET"
            },
            "autoSign": true,
            "otherTenantOrganizationExternalId": "ALIM",
            "offPlatform": false
        },
        "computeUnitConfig": {
            "enable": true,
            "limit": 0,
            "price": 0,
            "priceEstimate": {
                "provider": "HELIUS",
                "calculationStrategy": "DEFAULT",
                "priorityLevel": "RECOMMENDED"
            }
        },
        "commitmentConfig": {
            "commitmentLevel": "processed"
        },
        "messageLifetimeStrategy": "RECENT_BLOCKHASH",
        "transactionVersion": "V0"
    },
    "tenancyConfig": {
        "overrideOrganizationExternalId": "ALIM"
    }
}'
Response Response Example
201 - Example 1
{}
Modified at 2026-04-04 10:26:46
Previous
Durable Nonces
Next
Fetch Durable Nonce Account Details
Built with